- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.cases.detections.events.list
Lists events for a detection.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/events
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent detection resource name. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/detections/{detection} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of events to return. The service may return fewer than this value. The default value is |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. A filter to apply to the list of events. |
orderBy |
Optional. Configures ordering of events in the response. |
Request body
The request body must be empty.
Response body
Response message for events.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"caseEvents": [
{
object ( |
| Fields | |
|---|---|
caseEvents[] |
The list of events. |
nextPageToken |
A token, which can be sent as |
totalSize |
Total number of events matching the filter. Used for UI pagination counts. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseDetections.get
For more information, see the IAM documentation.